Bug 1548289 (CVE-2018-1304) - CVE-2018-1304 tomcat: Incorrect handling of empty string URL in security constraints can lead to unintended exposure of resources
Summary: CVE-2018-1304 tomcat: Incorrect handling of empty string URL in security cons...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1304
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1548290 1548291 1548974 1548975 1550285 1550286 1550287 1552375
Blocks: 1548296
TreeView+ depends on / blocked
 
Reported: 2018-02-23 04:15 UTC by Sam Fowler
Modified: 2019-09-29 14:33 UTC (History)
62 users (show)

Fixed In Version: tomcat 7.0.85, tomcat 8.0.50, tomcat 8.5.28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:41:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0465 normal SHIPPED_LIVE Important: Red Hat JBoss Web Server 3.1.0 Service Pack 2 security update 2018-03-07 20:09:54 UTC
Red Hat Product Errata RHSA-2018:0466 normal SHIPPED_LIVE Important: Red Hat JBoss Web Server 3.1.0 Service Pack 2 security update 2018-03-07 20:21:52 UTC
Red Hat Product Errata RHSA-2018:1320 None None None 2018-05-03 17:06:39 UTC
Red Hat Product Errata RHSA-2018:1447 None None None 2018-05-14 20:16:30 UTC
Red Hat Product Errata RHSA-2018:1448 None None None 2018-05-14 20:35:16 UTC
Red Hat Product Errata RHSA-2018:1449 None None None 2018-05-14 20:39:19 UTC
Red Hat Product Errata RHSA-2018:1450 None None None 2018-05-14 20:43:41 UTC
Red Hat Product Errata RHSA-2018:1451 None None None 2018-05-14 20:51:15 UTC
Red Hat Product Errata RHSA-2018:2939 None None None 2018-10-17 19:29:02 UTC
Red Hat Product Errata RHSA-2019:2205 None None None 2019-08-06 12:27:53 UTC

Description Sam Fowler 2018-02-23 04:15:41 UTC
Apache Tomcat versions 7.0.0 to 7.0.84, 8.0.0.RC1 to 8.0.49 and 8.5.0 to 8.5.27 does not properly handle the URL empty string ("") when used as part of a security constraint definition. This can lead to the security constraint being ignored, leading to unitended exposure of resources.


External References:

https://tomcat.apache.org/security-7.html#Fixed_in_Apache_Tomcat_7.0.85
https://tomcat.apache.org/security-8.html#Fixed_in_Apache_Tomcat_8.0.50
https://tomcat.apache.org/security-8.html#Fixed_in_Apache_Tomcat_8.5.28


Upstream Bug Report:

https://bz.apache.org/bugzilla/show_bug.cgi?id=62067


Upstream Fixes:

Tomcat 7.0.x:

http://svn.apache.org/viewvc?view=rev&rev=1823309

Tomcat 8.0.x:

http://svn.apache.org/viewvc?view=rev&rev=1814827

Tomcat 8.5.x:

http://svn.apache.org/viewvc?view=rev&rev=1823307

Comment 1 Sam Fowler 2018-02-23 04:16:43 UTC
Created tomcat tracking bugs for this issue:

Affects: epel-all [bug 1548291]
Affects: fedora-all [bug 1548290]

Comment 6 Doran Moppert 2018-02-28 23:11:38 UTC
Created tomcat tracking bugs for this issue:

Affects: fedora-all [bug 1550285]
Affects: epel-all [bug 1550287]

Comment 13 errata-xmlrpc 2018-03-07 15:12:02 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2018:0465 https://access.redhat.com/errata/RHSA-2018:0465

Comment 14 errata-xmlrpc 2018-03-07 15:25:40 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 3 for RHEL 6
  Red Hat JBoss Web Server 3 for RHEL 7

Via RHSA-2018:0466 https://access.redhat.com/errata/RHSA-2018:0466

Comment 16 Jason Shepherd 2018-03-27 04:53:48 UTC
JBoss EAP 6.x, which includes jbossweb component is no longer included in Openshift Online. Marking as not affected.

Comment 18 errata-xmlrpc 2018-05-03 17:06:15 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2018:1320 https://access.redhat.com/errata/RHSA-2018:1320

Comment 19 errata-xmlrpc 2018-05-14 20:16:13 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2018:1447 https://access.redhat.com/errata/RHSA-2018:1447

Comment 20 errata-xmlrpc 2018-05-14 20:34:54 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 7

Via RHSA-2018:1448 https://access.redhat.com/errata/RHSA-2018:1448

Comment 21 errata-xmlrpc 2018-05-14 20:39:00 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2018:1449 https://access.redhat.com/errata/RHSA-2018:1449

Comment 22 errata-xmlrpc 2018-05-14 20:43:26 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 5

Via RHSA-2018:1450 https://access.redhat.com/errata/RHSA-2018:1450

Comment 23 errata-xmlrpc 2018-05-14 20:50:56 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6

Via RHSA-2018:1451 https://access.redhat.com/errata/RHSA-2018:1451

Comment 24 errata-xmlrpc 2018-10-17 19:28:35 UTC
This issue has been addressed in the following products:

  Red Hat Fuse Intergration Services 2.0 based on Fuse 6.3 R8

Via RHSA-2018:2939 https://access.redhat.com/errata/RHSA-2018:2939

Comment 26 errata-xmlrpc 2019-08-06 12:27:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2205 https://access.redhat.com/errata/RHSA-2019:2205


Note You need to log in before you can comment on or make changes to this bug.